fw_cdev_event_bus_reset Struct Reference

`#include <dc1394/juju/firewire-cdev.h>`

## Detailed Description

struct fw_cdev_event_bus_reset - Sent when a bus reset occurred @closure: See set by FW_CDEV_IOC_GET_INFO ioctl @type: See always FW_CDEV_EVENT_BUS_RESET @node_id: New node ID of this node @local_node_id: Node ID of the local node, i.e. of the controller @bm_node_id: Node ID of the bus manager @irm_node_id: Node ID of the iso resource manager @root_node_id: Node ID of the root node @generation: New bus generation

This event is sent when the bus the device belongs to goes through a bus reset. It provides information about the new bus configuration, such as new node ID for this device, new root ID, and others.

The documentation for this struct was generated from the following file:

- dc1394/juju/firewire-cdev.h